ServerEvents.recipes(event => {
  event.remove({type: 'minecraft:crafting_shaped', output: 'refinedstorage:quartz_enriched_iron' })
  event.remove({type: 'minecraft:crafting_shaped', output: 'refinedstorage:processor_binding' })
  event.remove({type: 'minecraft:smelting', output: 'refinedstorage:silicon' })
  event.remove({type: 'minecraft:smelting', output: 'refinedstorage:basic_processor' })
  event.remove({type: 'minecraft:smelting', output: 'refinedstorage:improved_processor' })
  event.remove({type: 'minecraft:smelting', output: 'refinedstorage:advanced_processor' })

  event.recipes.create.haunting( 'refinedstorage:basic_processor', 'refinedstorage:raw_basic_processor')
  event.recipes.create.haunting( 'refinedstorage:improved_processor', 'refinedstorage:raw_improved_processor')
  event.recipes.create.haunting( 'refinedstorage:advanced_processor', 'refinedstorage:raw_advanced_processor')
  event.smelting('refinedstorage:silicon', 'minecraft:azalea')

    event.shaped('refinedstorage:processor_binding',           
    // output
    [
      '   ',
      'SBS',
      '   '
    ],
    {
      B: 'minecraft:snowball',
      S: 'minecraft:string'
    }
  )
})